For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Job object
          • GET/jobs
          • GET/jobs/{id}
          • GET/jobs/{job_id}/screening-questions
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsJobs

/jobs

GET
/ats/v1/jobs
GET
/api/ats/v1/jobs
$curl -G https://api.merge.dev/api/ats/v1/jobs \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw \
> --data-urlencode expand=departments,offices,hiring_managers,job_postings,recruiters \
> -d remote_fields=status \
> -d show_enum_origins=status
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "022a2bef-57e5-4def-8ed2-7c41bd9a5ed8",
7 "remote_id": "8765432",
8 "created_at": "2021-09-15T00:00:00Z",
9 "modified_at": "2021-10-16T00:00:00Z",
10 "name": "Software Engineer (Merge is actually hiring btw)",
11 "description": "<b>If you're reading this documentation, you might be a good fit for Merge!</b>",
12 "code": "C0025",
13 "status": "OPEN",
14 "type": "POSTING",
15 "job_postings": [
16 "2r3c1341-a20f-4e51-b72c-f3830a16c97b",
17 "543ed912-33ec-444e-a215-8d71cc42fc12"
18 ],
19 "job_posting_urls": [
20 {
21 "value": "https://merge.dev/careers",
22 "url_type": "JOB_POSTING"
23 }
24 ],
25 "remote_created_at": "2021-10-15T00:00:00Z",
26 "remote_updated_at": "2021-10-16T00:00:00Z",
27 "confidential": true,
28 "departments": [
29 "5b3c1341-a20f-4e51-b72c-f3830a16c97b",
30 "d6e687d6-0c36-48a1-8114-35324b5cb38f"
31 ],
32 "offices": [
33 "9871b4a9-f5d2-4f3b-a66b-dfedbed42c46"
34 ],
35 "hiring_managers": [
36 "787ed912-33ec-444e-a215-8d71cc42fc12"
37 ],
38 "recruiters": [
39 "787ed912-33ec-444e-a215-8d71cc42fc12"
40 ],
41 "remote_was_deleted": true,
42 "field_mappings": {
43 "organization_defined_targets": {
44 "custom_key": "custom_value"
45 },
46 "linked_account_defined_targets": {
47 "custom_key": "custom_value"
48 }
49 },
50 "remote_data": [
51 {
52 "path": "/positions",
53 "data": null
54 }
55 ]
56 }
57 ]
58}

Returns a list of Job objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

The Job object

Next

/jobs/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

codestringOptional
If provided, will only return jobs with this code.
created_afterdatetimeOptional
If provided, will only return objects created after this datetime.
created_beforedatetimeOptional
If provided, will only return objects created before this datetime.
cursorstringOptional
The pagination cursor value.
expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_deleted_databooleanOptional
Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

modified_afterdatetimeOptional
If provided, only objects synced by Merge after this date time will be returned.
modified_beforedatetimeOptional
If provided, only objects synced by Merge before this date time will be returned.
officesstringOptional

If provided, will only return jobs for this office; multiple offices can be separated by commas.

page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.
remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
remote_idstringOptional
The API provider's ID for the given object.
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:
statusenumOptional
If provided, will only return jobs with this status. Options: ('OPEN', 'CLOSED', 'DRAFT', 'ARCHIVED', 'PENDING') * `OPEN` - OPEN * `CLOSED` - CLOSED * `DRAFT` - DRAFT * `ARCHIVED` - ARCHIVED * `PENDING` - PENDING
Allowed values:

Response

nextstring or null
previousstring or null
resultslist of objects

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more

If provided, will only return jobs with this status. Options: (‘OPEN’, ‘CLOSED’, ‘DRAFT’, ‘ARCHIVED’, ‘PENDING’)

  • OPEN - OPEN
  • CLOSED - CLOSED
  • DRAFT - DRAFT
  • ARCHIVED - ARCHIVED
  • PENDING - PENDING